Summary: A library of handy utility functions.
Name: glib12
Version: 1.2.10
Release: 22tr
License: LGPL
Group: Trustix Official
Source: ftp://ftp.gtk.org/pub/gtk/v2.1/glib-%{version}.tar.gz
Patch: glib-gcc34.patch
Patch1: glib-1.2.10-m4.patch
BuildRoot: /var/tmp/glib-%{version}-root
BuildRequires: pkgconfig

%description
GLib is a handy library of utility functions. This C library is
designed to solve some portability problems and provide other useful
functionality which most programs require.

GLib is used by GDK, GTK+ and many applications.  You should install
th glib package because many of your applications will depend on this
library.

%package devel
Summary: The GIMP ToolKit (GTK+) and GIMP Drawing Kit (GDK) support library.
Group: Trustix Official

%description devel
The glib-devel package includes the static libraries and header files
for the support library for the GIMP's X libraries (GTK+ and GDK),
which are available as public libraries.

Install glib-devel if you want to develop programs which will use
GLib.

%prep
%setup -q -n glib-%{version}
%patch -p0
%patch1 -p1

%build
#%configure --prefix=%{_prefix}
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{_prefix}
make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
%makeinstall
install -m 644 glibconfig.h $RPM_BUILD_ROOT/usr/include/glib-1.2/

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_prefix}/lib/*.so.*

%files devel
%defattr(-, root, root)
%{_prefix}/lib/lib*.so
%{_prefix}/lib/*a
%{_prefix}/lib/pkgconfig/*
%{_prefix}/include/*
%{_prefix}/lib/glib/include/glibconfig.h
%{_prefix}/share/*
%{_prefix}/bin/*

%changelog
* Mon Feb 26 2007 Nived Gopalan <nived at trustix dot org>
- Rebuilt

* Tue Nov 15 2005 Bipin S <bipin at trustix dot org> 1.2.10-21tr
- Fixed underquoted definition warning, Bug#1406.

* Wed Apr 20 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 1.2.10-19tr
- Changed Group to Trustix Official

* Tue Feb 01 2005 Syed Shabir <syedshabir at comodo dot com>
- Rebuilt on GCC-3.4
- Applied glib patch for GCC-3.4

* Mon Oct 11 2004 Syed Shabir <syedshabir at comodo dot com>
- Rebuilt for TSL 2.2

* Mon Mar  8 2004 Chr. Toldnes <christht at trustix dot org>
- Rebuilt for TSL 2.1

* Wed Jan 14 2004 Chr. Toldnes <christht at trustix dot org> 1.2.10-4ct
- Big Rebuild

* Thu Dec 11 2003 Chr. Toldnes <christht at trustix dot org> 1.2.10-3ct
- added glibconfig.h

* Wed Dec  3 2003 Chr. Toldnes <christht at trustix dot org> 1.2.10-2ct
- renamed glib12

* Wed Dec  3 2003 Chr. Toldnes <christht at trustix dot org> 1.2.10-1ct
- Initial release for TSL
